capture log close master
log using wf3, name(master) replace text

//  program:    wf3.do
//  task:       run all do-files in the order they appear
//  project:    workflow - chapter 3
//  author:     scott long \ 2008-04-09

* introductory example
do wf3-intro.do

* robust do-files
do wf3-step1.do
do wf3-step2.do
do wf3-step1-v2.do
do wf3-step2-v2.do

* legible do-files
do wf3-longcommand.do
do wf3-longoutputlines.do

* do-file templates
do wf3-example.do
do wf3-simple.do
do wf3-complex.do
do wf3-subsample.do

* debugging graphs
do wf3-debug-graph1.do, nostop
do wf3-debug-graph2.do, nostop
do wf3-debug-graph3.do, nostop
do wf3-debug-graph4.do, nostop
do wf3-debug-graph5.do, nostop
do wf3-debug-graph6.do, nostop
do wf3-debug-graph7.do, nostop
do wf3-debug-graph8.do, nostop

* debugging unanticipated problems
do wf3-debug-precision.do

log close master
exit