set trace off

capture log close
log using wflec-debug-graph-trace, replace text
version 13.1
clear all
macro drop _all
set linesize 80
set scheme s1manual

//  WF lectures: debug - graph command using trace

local pgm wflec-debug-graph-trace
local dte 2017-06-18
local who Scott Long
local tag `pgm'.do `who' `dte'

//  #1 load data

use wf-acjob, clear

//  #2 create graph

set trace on

*! After program quits with error,
*! 1: log close
*! 2: Open log file and search for "option 5 not allowed"

twoway (scatter job phd, msymbol(smcircle_hollow) msize(small)), ///
    ytitle(Where do you work?) xtitle(Where did you graduate?) ///
    yscale(range(1 5.)) ylabel(1(1)5, angle(ninety)) ///
    xscale(range(1 5))  xlabel(1,5) ///
    caption(wf3-debug-graph1.do 2008-04-09, size(small)) ///
    scheme(s2manual) aspectratio(1)

log close
exit