capture log close
log using wf3-longoutputlines, replace text

//  program:    wf3-longoutputlines.do
//  task:       problem with long output lines
//  project:    workflow - chapter 3
//  author:     scott long \ 2008-05-03

//  #1
//  load data

use wf-occupation, clear

//  #2
//  long line problem when using linesize 132

set linesize 132
tabulate occ ed, row

//  #3
//  no problem with linesize 80

set linesize 80
tabulate occ ed, row

log close
exit