capture log close master
set linesize 80
log using wf5-sgc, name(master) replace text

//  program:    wf5-sgc.do
//  task:       run all steps
//  project:    workflow chapter 5 - sgc renaming and relabeling example
//  author:     scott long \ 2008-04-09

* check current labels
do wf5-sgc1a-list.do
do wf5-sgc1b-try.do

* clone source variables
do wf5-sgc2a-clone.do

* rename variables
do wf5-sgc2b-rename-dump.do
do wf5-sgc2c-rename.do

* change variable labels
do wf5-sgc3a-varlab-dump.do
do wf5-sgc3b-varlab-revise.do

* change value labels
do wf5-sgc4a-vallab-check.do
do wf5-sgc4b-vallab-dump.do
do wf5-sgc4c-vallab-revise.do

* check the work
do wf5-sgc5a-check.do

log close master
exit